* [PATCH v2] defaultenv/bin/update: fix return values
@ 2011-02-04 12:50 Marc Kleine-Budde
2011-02-04 14:12 ` Marc Kleine-Budde
0 siblings, 1 reply; 2+ messages in thread
From: Marc Kleine-Budde @ 2011-02-04 12:50 UTC (permalink / raw)
To: sha; +Cc: barebox
This patch fixes the return values of the update script.
- Exit with an error of the "_update" script fails.
- Add a "else; true" to the crc check, otherwise the script
exits with "1".
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
Cc: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
---
Changes since v1:
- fix exists type in commit message
defaultenv/bin/update | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/defaultenv/bin/update b/defaultenv/bin/update
index 43d3097..7c37c36 100644
--- a/defaultenv/bin/update
+++ b/defaultenv/bin/update
@@ -64,7 +64,9 @@ if [ x${mode} != xtftp ] && [ x${mode} != xxmodem ] ; then
exit 1
fi
-. /env/bin/_update
+. /env/bin/_update || exit 1
if [ x${check} = xy ]; then
crc32 -f $image -F $part
+else
+ true
fi
--
1.7.2.3
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [PATCH v2] defaultenv/bin/update: fix return values
2011-02-04 12:50 [PATCH v2] defaultenv/bin/update: fix return values Marc Kleine-Budde
@ 2011-02-04 14:12 ` Marc Kleine-Budde
0 siblings, 0 replies; 2+ messages in thread
From: Marc Kleine-Budde @ 2011-02-04 14:12 UTC (permalink / raw)
To: Marc Kleine-Budde; +Cc: barebox, sha
[-- Attachment #1.1: Type: text/plain, Size: 1272 bytes --]
On 02/04/2011 01:50 PM, Marc Kleine-Budde wrote:
> This patch fixes the return values of the update script.
>
> - Exit with an error of the "_update" script fails.
> - Add a "else; true" to the crc check, otherwise the script
> exits with "1".
>
> Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
> Cc: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com>
> ---
>
> Changes since v1:
> - fix exists type in commit message
typo
that is
Marc
>
> defaultenv/bin/update | 4 +++-
> 1 files changed, 3 insertions(+), 1 deletions(-)
>
> diff --git a/defaultenv/bin/update b/defaultenv/bin/update
> index 43d3097..7c37c36 100644
> --- a/defaultenv/bin/update
> +++ b/defaultenv/bin/update
> @@ -64,7 +64,9 @@ if [ x${mode} != xtftp ] && [ x${mode} != xxmodem ] ; then
> exit 1
> fi
>
> -. /env/bin/_update
> +. /env/bin/_update || exit 1
> if [ x${check} = xy ]; then
> crc32 -f $image -F $part
> +else
> + true
> fi
--
Pengutronix e.K. | Marc Kleine-Budde |
Industrial Linux Solutions | Phone: +49-231-2826-924 |
Vertretung West/Dortmund | Fax: +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686 | http://www.pengutronix.de |
[-- Attachment #1.2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 262 bytes --]
[-- Attachment #2: Type: text/plain, Size: 149 bytes --]
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2011-02-04 14:12 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-02-04 12:50 [PATCH v2] defaultenv/bin/update: fix return values Marc Kleine-Budde
2011-02-04 14:12 ` Marc Kleine-Budde
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox